/*=========================================MAIN=========================================*/
.header{
    filter: drop-shadow(0px 2px 2px rgba(0, 0, 0, 0.5));
    position: absolute;
    width: 100%;
    z-index: 10;
    margin: 0 auto;
}
/*======================================================================================*/


/*=========================================MENU=========================================*/
.header {

    &__logo{
        display: inline-block;
    }

    &__data{
        font-family: 'Montserrat';
        color: $text;
        font-weight: 700;
        font-size: 30px;
        line-height: 1.2;
        margin-right: 98px;
        background-color: rgba(#7244FFE5, 0.9);
        padding: 9px 20px;
        border-radius: 40px;
        text-align: center;

        @media screen and (max-width: 768px) {
            margin-right: 30px;
            font-size: 20px;
        }

        @media screen and (max-width: 525px) {
            font-size: 12px;
            margin-right: 20px;
        }
    }
    
    &__group{
        position: relative;
        width: 100%;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        flex-grow: 1;
        margin-left: 20px;
    }

}
/*======================================================================================*/


/*========================================CONTENT=======================================*/
.header__inner{
    position: relative;
    max-width: 950px;
    margin-left: auto;
    padding: 50px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    @media screen and (max-width: 768px) {
        padding: 30px 0;
    }
}

.purple-btn{
    background-color: #7244FF;
    font-size: 36px;
    font-family: 'Montserrat';
    font-weight: 800;
    line-height: 1.2;
    padding: 10px 10px;
    width: 420px;
    border-radius: 40px;
    position: relative;
    opacity: 1;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
    color: $text;
    transform: scale(1);
    transition: all .3s;

    &:hover{
        box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.5);
    }

    &:active{
        transform: scale(0.95);
    }

    @media screen and (max-width: 768px) {
        font-size: 24px;
        width: 360px;
    }

    @media screen and (max-width: 524px) {
        font-size: 20px;
        width: 320px;
    }

    @media screen and (max-width: 375px) {
        font-size: 18px;
        width: 280px;
    }
}

.purple-after::after{
    content: 'Зареєструвати код';
    position: absolute;
    background-color: #7244FF;
    font-size: 36px;
    font-family: 'Montserrat';
    font-weight: 800;
    line-height: 1.2;
    padding: 10px 10px;
    width: 420px;
    border-radius: 40px;
    top: 0;
    left: 0;
    animation: animate_slogan 2s ease infinite;

    @media screen and (max-width: 768px) {
        font-size: 24px;
        width: 360px;
    }

    @media screen and (max-width: 524px) {
        font-size: 20px;
        width: 320px;
    }

    @media screen and (max-width: 375px) {
        font-size: 18px;
        width: 280px;
    }
}
/*======================================================================================*/